* Add max score reporting to LMS for SCORM Quiz
* Add username to startup lock file to permit multiple users on same machine
* Fix startup with Firefox 3.x tabs hiding interface (Ivo Benner)
* Fix image gallery to allow captions containing apostrophes
* Fix field IDs so that adding to a previously saved elp is consistent
* Fix Common Cartridge manifest when a header image is used
* Fix OS X and Linux configDir Firefox profile on filesystem without colon
* Fix display of translated help for Multi-Select iDevice editing
* Workaround AVG anti-virus adding itself to eXe Firefox on Windows
* Make startup lock file parsing more robust
* Only include a copy of GNU FDL if that is the license selected
* Re-enable loading of user extended iDevices from config directory
* Translation updates

Version 1.04 (r3532) 2008-05-09
* Add offline snapshot of manual, release notes, and tutorial to Help menu
* Add undo button to discard changes after editing
* Add automatic auto_top anchors to facilitate internal linking to each node
* Add ability to translate tooltips
* Fix handling of multi-select questions with 10 or more options
* Fix tip display at right edge of windows
* Fix Common Cartridge resource references
* Fix package property display with Firefox 3.0 (no properties translations)
* Improve Common Cartridge metadata formation
* Improve Wiki Article iDevice handling of pages without content div
* Improve Firefox version detection for 3.0b series (Linux)
* Remove CSS letter-spacing to improve rendering with some fonts (Khmer)
* Prototype ability to load eXe-authored Common Cartridges
* Automate building Debian changelog and versioning
* Update to BeautifulSoup 3.0.6 (character coding detection issues)
* Translation updates and additions

Version 1.03 (r3373) 2008-01-21
* Add linking across pages within a package (only for web export)
* Add note that SCORM export previous/next requires non-standard extension
* Add prototype IMS Common Cartridge export (no quizzing)
* Add Rel-License microformat to license urls in exported content
* Make importing old packages more robust (and remove unused resources)
* Fix merging packages that contain resources with same name as main package
* Fix upgrading of multichoice questions
* Fix escaping of ampersands in rich text fields, allowing HTML embedding
* Fix embedding of images and media with '#' in name
* Fix SCORM Quiz pass rate to signal pass for scores of exactly the rate
* Update to BeautifulSoup 3.0.5
* Translation updates

Version 1.02 (r3303) 2007-10-01
* Add ability to type resource name into url box (without browse button)
* Add CSS divs around nodes in single page and print exports for pagination
* Add detailed uninstall name, links, icon for Windows
* Make reading very old eXe packages more robust if corruption encountered
* Fix XHTML for div wrapper of Java Applet iDevice export
* Add ID, TH translations

Version 1.01 (r3265) 2007-09-05
* Add embedded MP3 player as a rich text editor media type
* Add FLV player as rich text editor media type
* Add DIV around each iDevice on web/ims/scorm export
* Add disabling SUBMIT ANSWERS button in SCORM Quiz after first submission
* Fix web folder export to convert filenames to safe ASCII characters
* Fix iPod Notes export to write UTF-8 index (non-ASCII node names)
* Fix XHTML generated for SCORM Quiz
* Fix XHTML generated for True-False question feedback
* Fix reading of exe.conf files that have UTF-8 "byte order mark"
* Fix insertion of non-ASCII package names in Recent Projects list
* Change license footer text so translators can ignore trailing space
* Change RPM spec file to work better with openSUSE
* Remove deprecated dublincore.xml metadata file from SCORM 1.2 packages
* Updated DE,FR,IT,PL translations

Version 1.00 (r3219) 2007-08-17
* Fix styles to use relative line height rather than absolute
* Fix splash progress bar to indicate 100%
* Fix iDevice deletion issues including read-only resources
* Fix display of embedded image borders
* Fix header text display in single page export and printing
* Make merging packages more robust
* Make default IMS/SCORM Metadata title description from package values
* Change export to folder to not change UTF-8 filenames
* Update About box

Version 0.99 (r3186) 2007-08-10
* Add splash screen for when launching eXe by double-clicking .elp
* Add warning screen for trying to launch multiple copies of eXe
* Add warning for trying to run an older version of eXe with newer data
* Add Catalan Wikipedia
* Add file browser to rich text editor link popup for including files
* Fix re-enable Flash autoplay attribute
* Fix multi-select option feedback
* Fix SCORM Quiz to allow deleting individual questions
* Change text export to decode HTML entities into UTF-8 string
* Remove media plugin detection allowing authoring without media plugin
* Allow specifying VCARD type in metadata fields for SCORM export
* Allow non-ASCII characters in embedded media filenames
* Slightly reduce eXe package size by not storing multiple copies of text
* Updated German, Japanese, and Chinese translations

Version 0.98 (r3136) 2007-08-03
* Add ability to insert MimeTeX math images in any field with TinyMCE
* Add message to RSS iDevice for when feed fails
* Add labels to items added in the iDevice editor edit display
* Add feedback display for each option of multi-select iDevice (not score)
* Add font family, background colors, advanced horizontal rule to TinyMCE
* Fix Image Gallery popup to start at images beyond first row
* Fix Image Gallery to handle unicode captions and previous/next
* Fix SCORM Quiz scoring to send normalized 0..100 score to LMS
* Fix SCORM 1.2 export that was missing ims_xml schema
* Fix display of package header image by adding a Show Image button
* Change embedded media to default to auto-fit and not autoplay
* Attempt to decode HTML character entities on text export
* Start using IMS LRM metadata for SCORM 1.2 exports
* Upgrade Maths iDevice into math image in a Free Text iDevice
* Deprecate media iDevices (can be re-enabled in exe.conf)
* Many translation updates
* Update Firefox to 2.0.0.6

Version 0.97 (r3024) 2007-07-19
* Add ability to embed media in text areas using TinyMCE toolbar
* Fix display of header image in Properties... Package
* Fix web export when package references a missing header image
* Fix rapid clicking of outline pane buttons
* Fix HTML emitted for gallerypopup
* Fix printing on WINE
* Fix gallery iDevice's deletion of thumbnail when removing image
* Improve loading time of large packages
* Translation updates
* Upgrade TinyMCE to 2.1.1.1

Version 0.96 (r2976) 2007-07-10
* Add ability to edit (delete) broken iDevices in a package
* Allow preferences to change locale without triggering POSTDATA message
* Greatly improve the ability to load packages created with older versions
* Fix ability to delete iDevices with missing resources
* Fix unicode parsing of Wikipedia pages
* Fix rendering of attachment elements of custom iDevices
* Fix display True/False hint icon only if there is a hint
* Fix IMS CP export if metadata contains non-ASCII characters
* Fix deletion of file resources when deleting applet iDevice
* Fix deletion of resources when no longer referencing them in textareas
* Change to just use shorter basename for filename of images in textareas
* Change custom iDevices to open attachments in preferred browser
* Change spec file so RPM can be built on F7 in addition to FC6

Version 0.95 (r2931) 2007-06-24
* Add ability to embed images in text areas with TinyMCE
* Remove Image With Text iDevice, migrates to Free Text iDevice
* Remove image field from iDevice editor
* Java applet, SCORM Quiz, and Flash Movie now regular iDevices not plugins
* Display warning when user tries to close main eXe window
* Opening attachments in preview mode now uses preferred browser
* Add FTP to possible external web sites
* Fix position of iDevice edit button for SCORM Quiz
* Fix include content package schemas in RPM/DPKG packages
* Fix gallery slideshow to include caption for last image
* Fix gallery iDevice so it doesn't require clicking done check to register
* Fix iDevice editor display in French
* Fix packaging of CP and SCORM schemas in RPM and DPKG
* Change how Maths iDevice temporary file is created
* Workaround French Wikipedia parsing of &#160; in attributes
* Translation updates, including addition of Catalan
* Update to BeautifulSoup 3.0.4

Version 0.24 (r2857) 2007-05-31
* Rewrite anchor tags in textareas in preview mode to use local browser
* Restrict Image Magnifier selection to jpg images
* Fix position of iDevice edit button in preview mode
* Fix Multi-Select iDevice icon
* Fix Reading Activity display after changing language preference
* Fix alignment of attachment iDevice in edit mode
* Fix Case Study image size
* Fix SCORM Quiz icon export
* Fix Win32: starting application by double-clicking long document name
* Fix Win32: print URLs
* Fix bullet point text wrap
* Fix unique resource names (bug most often seen in Image Gallery hanging)
* Add attachment button/field to iDevice editor
* Add image and media filenames when re-editing iDevices
* Add Hungarian Wikipedia
* Add Quit button to iDevice editor
* Add [idevices] section to exe.conf to prevent some from showing in list
* Add exe.desktop and icon files to the Linux builds
* Change Image Gallery popup Javascript to start at image other than first
* Move temp_print_dirs to a temporary directory
* Improve version check for ready2run deletion/extraction
* Improve check for a copy of eXe server already running on launch
* Improve Gallery slideshow feature
* Updated translations and added Hungarian and Ukranian
* Update RPM and Debian build processes
* Update to Python 2.5.1
* Update to BeautifulSoup 2.1.1 for wiki parsing

Version 0.23 (r2729) 2007-04-02
* Change FLV player to FlowPlayer
* Move Refresh menu button to a Tools menu item
* Add links to online manual, tips and tricks, and release notes to Help menu
* Add iPod Notes format export
* Add Wikiversity
* Add "Clear Recent Projects" menu item
* Add check for existing eXe server when starting new one
* Allow translations for some Javascript message strings
* Fix Styles menu to display capitalized, alphabetized list
* Fix Styles menu to accept normal click-select-release
* Disable Nevow timeout exceptions that could be triggered by Firefox dialogs
* Update to TinyMCE 2.1.0

Version 0.22 (r2674) 2007-03-20
* Add File... Print to print an entire course (same as export singlepage)
* Add attachment icon in preview mode
* Add Slate style
* Add help tips for multi-select iDevice
* Don't add unneeded large files to SCORM exports
* Fix maintaining language preference across starts
* Fix Merge Import and Extract
* Fix maths iDevice input file descriptor on Windows
* Fix uploads of non-ASCII filenames
* Fix line endings in text exports
* Fix file copying in applet iDevice
* Fix &raquo; in web export
* Changing to another node does not mark package as needing saving
* Updated translations
* Updated build scripts for Windows and OS X

Version 0.21
* Enabled rich text editor context menu cut/copy/paste
* Add import/export features for iDevice editor
* Update parsing of Wikipedia articles
* Improve text export
* Optimize internal resource handling
* Windows: removed console window
* Updated translations
* Include SCORM Quiz iDevice in Windows ready2run version
* fix FLV player dimensions
* fix web export CSS for MSIE

Version 0.20.2
* Improved Japanese translation
* Add Live Chat to Help menu to open link that connects to IRC CGI
* Fix to allow use of iDevices created in 0.19
* OS X: Add SCORM 1.2 export schema

Version 0.20.1 - Arachnidian Avondale (bug-less)
* Improved ability to upgrade projects made with version 0.19 and earlier
* Updated Japanese and Chinese translations
* Removed access to SCORM2004 export
* Fix translation ability of math field
* Disable Firefox update check

Version 0.20 - Arachnidian Avondale
* Improved IDevice Editor
* Geogebra iDevice
* Add SCORM2004 export
* Improve loading speed of some complex eXe packages
* Add the ability to have an optional footer on all pages of project
* Keep hidden backup .elp
* Update copyright
* Add release and revision to ready2run splash screen
* Add work around for broken Microsoft Word span tags
* Many, many bug fixes (see http://exelearning.org/projects/exe1/milestone/0.20%20Arachnidian%20Avondale)

Version 0.19 - Tidy Tui
* MP3 iDevice
* Make Scorm Quiz work in IE in moodle
* Turn Multichoice Question IDevice into Multichoice Quiz
* Safer saving options to protect old files
* Strong option emphasis option removed
* German preference works well 
* Attachement opens without first opening a blank     window
* Other bug fixes (see http://exelearning.org/projects/exe1/milestone/0.19%20Tidy%20Tui)

Version 0.18 - Trippy Tuatara
* Added Multi-Media IDevice (see https://bugzilla.mozilla.org/show_bug.cgi?id=280600)
* Added Math IDevice
* Added Image in Feedback of case study
* Fixed translation of Previous/Next buttons on exports
* Other bug fixes (see http://exelearning.org/projects/exe1/milestone/0.18%20Trippy%20Tuatara )

Version 0.17 - King Kea
* Added Czeck translation
* Text export for mobile devices
* Various Bug Fixes

Version 0.16 - Waihorotiu Walrus
* Added Brazillian Portuguese, french, slovenian, zulu and czech languages
* Flash Movie and SCORM quiz are now plugin idevices (optional additions during install)
* Fixed IMS export bug
* Gallery can now import filenames with umlautes

Version 0.15 - Awkward Albatross
* Add a background image to the package properties
* Added Slovenian wiki url to wiki iDevice
* Added Zulu translation
* Numberous bug fixes including
 * Discussion Activity" for non English
 * Outline location and content page opened match
 * Flash with text in IE
 * Attachment with Chinese filename
 * Upgraded Cloze iDevice
 * Copyright notice updated for 2006
 * Level names update
 * Magnifier iDevice interface cleanup
 * Right strings in dublin core properties
 * Correct url for Italian Wikipedia
 * Chinese Wikipedia article search
 * Wikipedia storing emphasis
 * Wikipedia iDevice "saves" title edits
 * Images in Wikieducator iDevice

Version 0.14 - Mangled Moa
* New properties pages with dublin core properties for export
* Better International Support
* Better XHTML Compliance
* Styling and CSS improvements
* Next/Previous buttons on SCORM export
* New editor for Cloze IDevice
* Bug fixes

Version 0.13 - Pouty Pipi
* Cleverer ready to run version 
* Better International Support
* Image magnifier IDevice
* New Gallery Interface
* Better XHTML Compliance
* Stabalisation of SCORM Quiz
* Styling and CSS improvements
* Bug fixes

Version 0.12 - Merry Santa
* Merging: insert and extract packages
* Discussion iDevice plug-in
* Enhanced Cloze iDevice
* Bug fixes

Version 0.11 - Cranky Koura
* New Flash movie iDevice
* Feedback field in iDevice Editor
* Mac release
* Dutch, Icelandic and Swedish languages
* Online registration with exelearning.org
* Improved Wikipedia Idevice
* Bug fixes

Version 0.10 - Snappy Snapper
* Browser interface with much better usability
* Using TinyMCE rich text editor
* Preferences dialog for changing language
* German, Greek, Spanish and Chinese languages
* New Style: Kahurangi
* Bug fixes

Version 0.9 - Darkness
* More work on GtkMozEmbed interface
* Drag and drop tree
* New Cloze and External Website iDevices
* Bug Fixes

Version 0.8 - Tuckered Takahe
* Return to web interface
* iDevice plug-in interface
* Flash iDevice
* Bug fixes

Version 0.7 - Burning Rats
* Experimental GtkMozEmbed interface
* Gallery iDevice
* Improved iDevice editor
* New default style
* Single page export
* Bug fixes

Version 0.6 - Lumpy Llama
* New Attachment and Wikipedia iDevices
* ImageWithText iDevice can now have image left or right aligned
* Bug fixes

Version 0.5 - Frenzied Fantail
* True-False Question iDevice
* Image and Text iDevice
* ongoing code development

Version 0.4 - Spiky Kina
* basic iDevice editor
* XUL interface development

Version 0.3 - Scrawny Pukeko
* modified Case Study iDevice
* new Web Site export
* Firefox bundled with eXe as one install
* Improved file format (not sure it will be final)
* A new installer which will launch the User Guide when finished
  and will remove old versions of eXe
* Fixes for bugs # 7, 13, 14, 10, 9, 22, 24, 25, 4, 37, 15, 18, 34, 35

Version 0.2 - Lazy Wombat
* significant improvements in the user interface
* the addition of more iDevices
* the ability to change Styles
* the addition of pedagogical help and tips to iDevices.

Version 0.1 - Ugly Armadillo
* initial release
